// This file is generated by WOK (CPPExt). // Please do not edit this file; modify original file instead. // The copyright and license terms as defined for the original file apply to // this header file considered to be the "object code" form of the original source. #ifndef _Prs2d_Radius_HeaderFile #define _Prs2d_Radius_HeaderFile #ifndef _Standard_HeaderFile #include #endif #ifndef _Standard_DefineHandle_HeaderFile #include #endif #ifndef _Handle_Prs2d_Radius_HeaderFile #include #endif #ifndef _Standard_ShortReal_HeaderFile #include #endif #ifndef _gp_Pnt2d_HeaderFile #include #endif #ifndef _gp_Circ2d_HeaderFile #include #endif #ifndef _Prs2d_Dimension_HeaderFile #include #endif #ifndef _Handle_Graphic2d_GraphicObject_HeaderFile #include #endif #ifndef _Standard_Real_HeaderFile #include #endif #ifndef _Prs2d_TypeOfArrow_HeaderFile #include #endif #ifndef _Prs2d_ArrowSide_HeaderFile #include #endif #ifndef _Standard_Boolean_HeaderFile #include #endif #ifndef _Handle_Graphic2d_Drawer_HeaderFile #include #endif #ifndef _Standard_Integer_HeaderFile #include #endif #ifndef _Aspect_FStream_HeaderFile #include #endif class Standard_ConstructionError; class Graphic2d_GraphicObject; class gp_Pnt2d; class gp_Circ2d; class TCollection_ExtendedString; class Graphic2d_Drawer; //! Constructs the primitive Radius
class Prs2d_Radius : public Prs2d_Dimension { public: //! Creates the radius of the circle passing through
//! the point
Standard_EXPORT Prs2d_Radius(const Handle(Graphic2d_GraphicObject)& aGraphicObject,const gp_Pnt2d& anAttachPnt,const gp_Circ2d& aCircle,const TCollection_ExtendedString& aText,const Standard_Real aTxtScale = 10.0,const Standard_Real anArrAngle = 20.0,const Standard_Real anArrLength = 25.0,const Prs2d_TypeOfArrow anArrType = Prs2d_TOA_OPENED,const Prs2d_ArrowSide anArrow = Prs2d_AS_BOTHAR,const Standard_Boolean IsReverseArrow = Standard_False); //! allows to get the properties of the diameter
Standard_EXPORT void Values(gp_Pnt2d& anAttPnt,gp_Circ2d& aCirc) const; Standard_EXPORT virtual void Save(Aspect_FStream& aFStream) const; DEFINE_STANDARD_RTTI(Prs2d_Radius) protected: //! Draws the angle .
Standard_EXPORT void Draw(const Handle(Graphic2d_Drawer)& aDrawer) ; //! Draws element of the radius .
Standard_EXPORT virtual void DrawElement(const Handle(Graphic2d_Drawer)& aDrawer,const Standard_Integer anIndex) ; //! Draws vertex of the radius .
Standard_EXPORT virtual void DrawVertex(const Handle(Graphic2d_Drawer)& aDrawer,const Standard_Integer anIndex) ; //! Returns Standard_True if the radius is picked,
//! Standard_False if not.
Standard_EXPORT Standard_Boolean Pick(const Standard_ShortReal X,const Standard_ShortReal Y,const Standard_ShortReal aPrecision,const Handle(Graphic2d_Drawer)& aDrawer) ; virtual void CalcTxtPos(const Standard_Boolean theFromAbs = Standard_False) ; private: Standard_ShortReal myX1; Standard_ShortReal myY1; Standard_ShortReal myX2; Standard_ShortReal myY2; gp_Pnt2d myPnt; gp_Circ2d myCirc; }; #include // other Inline functions and methods (like "C++: function call" methods) #endif